using System;

namespace cenzura
{
    class Program
    {
        static void Main(string[] args)
        {
            string tekst = Console.ReadLine();
            string rec = Console.ReadLine();
            int brojac = 0;
            int potrebno = 0;
            bool[] indeksi = new bool[tekst.Length];
            for (int i = 0; i < tekst.Length; i++)
            {
                if (tekst[i] == rec[0])
                {
                    brojac++;
                    if (brojac > rec.Length)
                    {
                        indeksi[i] = true;
                        potrebno++;
                    }
                }
            }
            Console.WriteLine(potrebno);
            for (int i = 0; i < tekst.Length; i++)
            {
                if (indeksi[i]) Console.Write("*");
                else Console.Write(tekst[i]);
            }
        }
    }
}